head	1.2;
access;
symbols
	pkgsrc-2013Q2:1.2.0.42
	pkgsrc-2013Q2-base:1.2
	pkgsrc-2012Q4:1.2.0.40
	pkgsrc-2012Q4-base:1.2
	pkgsrc-2011Q4:1.2.0.38
	pkgsrc-2011Q4-base:1.2
	pkgsrc-2011Q2:1.2.0.36
	pkgsrc-2011Q2-base:1.2
	pkgsrc-2009Q4:1.2.0.34
	pkgsrc-2009Q4-base:1.2
	pkgsrc-2008Q4:1.2.0.32
	pkgsrc-2008Q4-base:1.2
	pkgsrc-2008Q3:1.2.0.30
	pkgsrc-2008Q3-base:1.2
	cube-native-xorg:1.2.0.28
	cube-native-xorg-base:1.2
	pkgsrc-2008Q2:1.2.0.26
	pkgsrc-2008Q2-base:1.2
	pkgsrc-2008Q1:1.2.0.24
	pkgsrc-2008Q1-base:1.2
	pkgsrc-2007Q4:1.2.0.22
	pkgsrc-2007Q4-base:1.2
	pkgsrc-2007Q3:1.2.0.20
	pkgsrc-2007Q3-base:1.2
	pkgsrc-2007Q2:1.2.0.18
	pkgsrc-2007Q2-base:1.2
	pkgsrc-2007Q1:1.2.0.16
	pkgsrc-2007Q1-base:1.2
	pkgsrc-2006Q4:1.2.0.14
	pkgsrc-2006Q4-base:1.2
	pkgsrc-2006Q3:1.2.0.12
	pkgsrc-2006Q3-base:1.2
	pkgsrc-2006Q2:1.2.0.10
	pkgsrc-2006Q2-base:1.2
	pkgsrc-2006Q1:1.2.0.8
	pkgsrc-2006Q1-base:1.2
	pkgsrc-2005Q4:1.2.0.6
	pkgsrc-2005Q4-base:1.2
	pkgsrc-2005Q3:1.2.0.4
	pkgsrc-2005Q3-base:1.2
	pkgsrc-2005Q2:1.2.0.2
	pkgsrc-2005Q2-base:1.2
	pkgsrc-2005Q1:1.1.0.2
	pkgsrc-2005Q1-base:1.1;
locks; strict;
comment	@# @;


1.2
date	2005.04.22.19.05.28;	author wiz;	state dead;
branches;
next	1.1;

1.1
date	2005.01.20.14.15.04;	author xtraeme;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Removed mysql3-{client,server} -- obsoleted by mysql-* and mysql4-*
packages, and the original authors have stopped its maintenance.
Thus, there are various vulnerabilities in them now.
@
text
@$NetBSD: patch-ay,v 1.1 2005/01/20 14:15:04 xtraeme Exp $

--- scripts/mysqlhotcopy.sh.orig	Sun Dec 21 19:01:29 2003
+++ scripts/mysqlhotcopy.sh	Thu Sep 23 11:02:45 2004
@@@@ -7,6 +7,7 @@@@
 use File::Path;
 use DBI;
 use Sys::Hostname;
+use File::Temp;
 
 =head1 NAME
 
@@@@ -607,7 +608,6 @@@@
 sub copy_index
 {
   my ($method, $files, $source, $target) = @@_;
-  my $tmpfile="$opt_tmpdir/mysqlhotcopy$$";
   
   print "Copying indices for ".@@$files." files...\n" unless $opt{quiet};  
   foreach my $file (@@$files)
@@@@ -633,23 +633,23 @@@@
       }
       close OUTPUT	   || die "Error on close of $to: $!\n";
     }
-    elsif ($opt{method} eq 'scp')
+    elsif ($opt{method} =~ /^scp\b/)
     {
-      my $tmp=$tmpfile;
-      open(OUTPUT,">$tmp") || die "Can\'t create file $tmp: $!\n";
-      if (syswrite(OUTPUT,$buff) != length($buff))
+      my ($fh, $tmp)=tempfile('mysqlhotcopy-XXXXXX', DIR => $opt_tmpdir);
+      die "Can\'t create/open file in $opt_tmpdir\n";
+      if (syswrite($fh,$buff) != length($buff))
       {
 	die "Error when writing data to $tmp: $!\n";
       }
-      close OUTPUT	     || die "Error on close of $tmp: $!\n";
-      safe_system("scp $tmp $to");
+      close $fh || die "Error on close of $tmp: $!\n";
+      safe_system("$opt{method} $tmp $to");
+      unlink $tmp;
     }
     else
     {
       die "Can't use unsupported method '$opt{method}'\n";
     }
   }
-  unlink "$tmpfile" if  ($opt{method} eq 'scp');
 }
@


1.1
log
@Apply patches from FreeBSD/ports to fix vulnerabilities in the
mysqlaccess and mysqlhotcopy scripts.

Bump PKGREVISION and BUILDLINK_RECOMMENDED.
@
text
@d1 1
a1 1
$NetBSD$
@

